// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useMemo } from 'react';
import { textToHTMLId } from "../heading";
import styles from "./docAnchor.module.scss";
export function DocAnchor({
  outlineJsonStr
}) {
  const outline = useMemo(() => {
    let result = [];
    try {
      result = JSON.parse(outlineJsonStr);
    } catch (e) {}

    // TODO find a way to fill anchors from component metadata
    if (!result.find(({
      depth,
      text
    }) => depth === 1 && text === 'API')) {
      result.push({
        depth: 1,
        text: 'API'
      });
    }
    return result;
  }, [outlineJsonStr]);
  return /*#__PURE__*/React.createElement("ul", {
    className: styles.docAnchor
  }, outline.map(({
    depth,
    text
  }, index) => {
    return /*#__PURE__*/React.createElement("li", {
      key: index
    }, /*#__PURE__*/React.createElement("a", {
      className: styles.anchor,
      style: {
        marginLeft: 16 * (depth - 1)
      },
      href: `#${textToHTMLId(text)}`
    }, text));
  }));
}