import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["children", "components", "className"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useMemo } from 'react';
import { MDXProvider } from '@mdx-js/react';
import classNames from 'classnames';
import { DEFAULT_MDX_COMPONENTS } from "./components";
import styles from "./mdxLayout.module.scss";
/** Arco flavored MDX theme */
export function MDXLayout(_ref) {
  let {
      children,
      components,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  const _components = useMemo(() => _objectSpread(_objectSpread({}, DEFAULT_MDX_COMPONENTS), components), [DEFAULT_MDX_COMPONENTS, components]);
  return /*#__PURE__*/React.createElement(MDXProvider, {
    components: _components
  }, /*#__PURE__*/React.createElement("div", _extends({
    className: classNames(styles.mdxContent, className)
  }, rest), children));
}