// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { Table } from "../../baseUI/table";
import { CodeHighlighter } from "../../baseUI/highlighter";
import styles from "./propertiesTable.module.scss";

// Type from @arco-cli/react/dist/tsdoc/types

export function PropertiesTable({
  doclet
}) {
  if (!doclet?.length) return null;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.propertiesTable
  }, /*#__PURE__*/React.createElement("h1", {
    id: "API"
  }, "API"), doclet.map(({
    name,
    type,
    properties
  }, index) => {
    return /*#__PURE__*/React.createElement("div", {
      key: index,
      className: styles.table
    }, /*#__PURE__*/React.createElement("h2", {
      id: name,
      className: styles.tableTitle
    }, name), type ? /*#__PURE__*/React.createElement(CodeHighlighter, {
      language: "typescript"
    }, type) : null, properties.length ? /*#__PURE__*/React.createElement(Table, {
      headings: ['name', 'type', 'default', 'description'],
      rows: properties
    }) : null);
  }));
}