// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useContext, useMemo } from 'react';
// eslint-disable-next-line import/no-extraneous-dependencies
import { Link } from 'react-router-dom';
import { Menu } from '@arco-design/web-react';
import { IconApps, IconCode, IconFolder } from '@arco-design/web-react/icon';
import { WorkspaceContext } from "../../workspaceContext";
import styles from "./componentMenu.module.scss";
const MENU_ITEM_OVERVIEW = '__overview';
export function ComponentMenu({
  componentId,
  onComponentChange
}) {
  const {
    components
  } = useContext(WorkspaceContext);
  const routeInfo = useMemo(() => {
    const results = [];
    for (const {
      id,
      name,
      packageName
    } of components) {
      let group = results.find(node => node.key === packageName);
      if (!group) {
        group = {
          key: packageName,
          title: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(IconFolder, null), packageName),
          children: []
        };
        results.push(group);
      }
      group.children.push({
        key: id,
        title: /*#__PURE__*/React.createElement(Link, {
          to: `/${id}`
        }, /*#__PURE__*/React.createElement(IconCode, null), name)
      });
    }
    return results;
  }, []);
  return /*#__PURE__*/React.createElement(Menu, {
    className: styles.componentMenu,
    autoOpen: true,
    mode: "vertical",
    selectedKeys: [componentId],
    onClickMenuItem: onComponentChange
  }, /*#__PURE__*/React.createElement(Menu.Item, {
    key: MENU_ITEM_OVERVIEW
  }, /*#__PURE__*/React.createElement(Link, {
    className: styles.menuItemLink,
    to: "/"
  }, /*#__PURE__*/React.createElement(IconApps, null), "Overview")), routeInfo.map(({
    key,
    title,
    children
  }) => /*#__PURE__*/React.createElement(Menu.SubMenu, {
    key: key,
    title: title
  }, children.map(({
    key,
    title
  }) => /*#__PURE__*/React.createElement(Menu.Item, {
    key: key
  }, title)))));
}